﻿using System;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;

namespace 分组
{
    public enum Sex
    {
        男,
        女
    }
    public class Test
    {
        public string Name { get; set; }
        public int Id { get; set; }
        public Sex SexType { get; set; }
        public int Class { get; set; }
    }

    public class ViewModel
    {
        public ViewModel()
        {
            for (int i = 0; i < 10; i++)
            {
                Test t = new Test();
                t.Class = i % 2 == 0 ? 1 : 2;
                t.Id = i * 100;
                t.Name = "Name" + i;
                t.SexType = i % 2 == 0 ? Sex.男 : Sex.女;
                Model.Add(t);
            }
            for (int i = 0; i < 10; i++)
            {
                Test t = new Test();
                t.Class = i % 2 == 0 ? 3 : 4;
                t.Id = i * 200;
                t.Name = "Name" + i;
                t.SexType = i % 2 == 0 ? Sex.男 : Sex.女;
                Model.Add(t);
            }
        }
        private ObservableCollection<Test> mode = new ObservableCollection<Test>();

        public ObservableCollection<Test> Model
        {
            get { return mode; }
            set { mode = value; }
        }

    }
    /// <summary>
    /// MainWindow.xaml 的交互逻辑
    /// </summary>
    public partial class MainWindow : Window
    {
        public MainWindow()
        {
            InitializeComponent();
        }
    }
}
